#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TheStrat[] cacheTheStrat;

		
		public TheStrat TheStrat(string coffePage)
		{
			return TheStrat(Input, coffePage);
		}


		
		public TheStrat TheStrat(ISeries<double> input, string coffePage)
		{
			if (cacheTheStrat != null)
				for (int idx = 0; idx < cacheTheStrat.Length; idx++)
					if (cacheTheStrat[idx].CoffePage == coffePage && cacheTheStrat[idx].EqualsInput(input))
						return cacheTheStrat[idx];
			return CacheIndicator<TheStrat>(new TheStrat(){ CoffePage = coffePage }, input, ref cacheTheStrat);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TheStrat TheStrat(string coffePage)
		{
			return indicator.TheStrat(Input, coffePage);
		}


		
		public Indicators.TheStrat TheStrat(ISeries<double> input , string coffePage)
		{
			return indicator.TheStrat(input, coffePage);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TheStrat TheStrat(string coffePage)
		{
			return indicator.TheStrat(Input, coffePage);
		}


		
		public Indicators.TheStrat TheStrat(ISeries<double> input , string coffePage)
		{
			return indicator.TheStrat(input, coffePage);
		}

	}
}

#endregion
